正面セグメンテーション
POST /frontal-segmentation
正面口腔内画像で歯の構造をセグメント化し、矯正評価基準を使用して咬合状態を評価します。

画像タイプ: 正面口腔内写真
タグ: Segmentation Frontal View ICON
リクエストパラメータ
| パラメータ | タイプ | 必須 | 説明 |
|---|---|---|---|
PatientID | 弦 | None | 固有の患者識別子 |
TimeStamp | 弦 | None | 分析セッションのタイムスタンプ |
ImageName | 弦 | None | 画像への完全な URL |
StandardName | 弦 | None | 評価基準(デフォルト:「ICON」) |
PlotLabels | ブール値 | None | 出力に分類ラベルをプロットする |
リクエストの例
curl -X POST \
https://api.annie-insights.com/api/v2/frontal-segmentation \
-H "Content-Type: application/json" \
-H "x-api-key: YOUR_API_KEY" \
-d '{
"PatientID": "P-001",
"TimeStamp": "2026-05-24",
"ImageName": "https://example.com/frontal.jpg",
"StandardName": "ICON",
"PlotLabels": true
}'
応答例
{
"Version": "2024.1.0",
"PatientID": "P-001",
"TimeStamp": "2026-05-24",
"ImageName": "a1b2c3d4_frontal.jpg",
"Results": {
"i1_rgt_up": {"missing": false, "points": [[441,195],[441,201],"..."]},
"m2_rgt_up": {"missing": false, "points": [[916,227],[919,225],"..."]},
"m3_rgt_up": {"missing": true, "points": [0,0]}
},
"OutputImageUrl": "https://annieapistorage.blob.core.windows.net/..."
}